HP LaserJet M1212NF MFP error "failed to open scan device ... error on I/O with device"

Bug #693922 reported by TechTK on 2010-12-23
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned
Baltix
Undecided
Unassigned
hplip (Ubuntu)
Undecided
Unassigned

Bug Description

The HP LaserJet 1212 scanner does not work. NEEDS to work ASAP. It once did work. Now with Ubuntu 10.10 the scanner is always an error.
Online and Ubuntu Advantage support is being exhausted without resolution.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: sane (not installed)
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic i686
Architecture: i386
Date: Thu Dec 23 13:45:42 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: sane-frontends

Alex Moldovan (alexmoldovan) wrote :

This is affecting HP LaserJet 1212 Printer. When attempting to scan XSane keeps saying..."failed to open scan device ... error on I/O with device". It's a possible regression since the scanner worked in Ubuntu10.04. The I/O error appeared on both 10.04 and 10.10 Live-Cd tests.

Alex Moldovan (alexmoldovan) wrote :
summary: - "failed to open scan device ... error on I/O with device".
+ HP LaserJet 1212 error "failed to open scan device ... error on I/O with
+ device"
description: updated
affects: sane-frontends (Ubuntu) → hplip (Ubuntu)

Can please launch xsane in the terminal and post the /var/log/syslog and /var/log/messages releated to this xsane instance.

Thanks,
Naga Samrat Chowdary, Narla

Mantas Kriaučiūnas (mantas) wrote :

It seems this bug is caused by old hpijs driver software in Ubuntu 10.10 - I've backported new hpijs 3.10.9-0ubuntu7 packages from Ubuntu 11.04 (Natty) to Ubuntu 10.04 (Lucid) and now scanning works with HP M1212nf :)

New hpijs driver packages for Ubuntu 10.04 LTS can be downloaded from Baltix GNU/Linux repository (ppa:baltix/ppa), see:
https://launchpad.net/~baltix/+archive/ppa

Thanks for your update Mantas Kriaučiūnas.

Thanks,
Naga Samrat Chowdary, Narla

Changed in hplip:
status: New → Invalid
komputes (komputes) wrote :

Mantras/Till,

Could we possibly set up a PPA with hplip 3.10.9-0ubuntu7 alone so that it could be used on Ubuntu without any package dependency issues. The original poster is having issues with this model printer and needs a prompt resolution. Any assistance you can give in creating a PPA with the updated hplip software (where the bug has been fixed) would be helpful.

summary: - HP LaserJet 1212 error "failed to open scan device ... error on I/O with
- device"
+ HP LaserJet M1212NF MFP error "failed to open scan device ... error on
+ I/O with device"
komputes (komputes) wrote :

The original poster tested hplip 3.10.9-0 on a natty LiceCD on 05/01/2011.
The natty daily LiveCD currently holds version 3.11.1-0ubuntu2.

It would be helpful to get this version in a PPA for both Ubuntu 10.04 and 10.10.

Till Kamppeter (till-kamppeter) wrote :

TechTK, if the hplip 3.10.9 of the Natty live CD from 05/01/2011 did not work for you, can you test the daily live CD of Natty, to test 3.11.1? I am looking into backporting 3.11.1 to Lucid, but before, I would like to know whether it would help you.

TechTK, I have backported the newest HPLIP (3.11.1 from Natty) to Lucid now. You find it in my PPA:

https://launchpad.net/~till-kamppeter/+archive/ppa

Follow the instructions under "Adding this PPA to your system". Then do a full system update by running the commands

sudo apt-get update
sudo apt-get dist-upgrade

in a terminal window. This should update all HPLIP packages on your system to 3.11.1 (and perhaps will do some security updates if your system was not up-to-date before).

Try to scan again. Now it should work.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in hplip (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers